.button-default {
    font-size: 16px; 
    width: auto; 
    background-color: rgb(255, 255, 255); 
    color: rgb(0, 0, 0); 
    border-radius: 48px; 
    font-family: 'Montserrat', arial, sans-serif; 
    font-weight: 700; 
    min-height: 56px; 
    padding-right: 40px; 
    padding-left: 40px;
}

.button-primary {
    font-size: 16px; 
    width: auto; 
    background-color: rgb(241, 255, 0); 
    color: rgb(0, 0, 0); 
    border-radius: 48px; 
    font-family: 'Montserrat', arial, sans-serif; 
    font-weight: 700; 
    min-height: 56px; 
    padding-right: 40px; 
    padding-left: 40px;
    border-style: none;
}

.abutton-primary {
    font-size: 16px;
    width: auto;
    background-color: rgb(241, 255, 0);
    color: rgb(0, 0, 0) !important;
    border-radius: 48px;
    font-family: 'Montserrat', Arial, sans-serif;
    font-weight: 700;
    min-height: 56px;
    padding-right: 40px;
    padding-left: 40px;
    border-style: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-decoration: none !important;
}

.abutton-primary:hover {
    color: rgb(0, 0, 0) !important;
}

dialog::backdrop {
    background: rgb(34, 34, 34, .4) !important;
    animation: 0.8s fade-in !important;
}

/* Sign Up Dialog */
.signup-dialog {
    border: 1px solid black !important;
    border-radius: 6px !important;
    width: 80vw !important;
    max-width: 500px !important;
    padding: 0 !important;
}

.signup-dialog > header {
    background: rgb(22, 22, 22) !important;
    color: white !important;
}

.signup-dialog h3 {
    margin: 0 !important;
}
/* Sign Up Dialog */

@keyframes fadeIn {
    from { opacity: 0; transform: scale(0.9); }
    to { opacity: 1; transform: scale(1); }
}

dialog {
    opacity: 0; /* Initial state for animation */
    transform: scale(0.9); /* Initial state for animation */
    animation: fadeIn 0.3s forwards; /* Apply animation */
}

.welcome-dialog {
    padding: 0%;
    width: 350px;
    border: none;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    text-align: center;
    background-color: #fff;
}

.dialog-header {
    background-color: #000;
    padding: 0;
}

.dialog-header img {
    width: 100%;
    height: auto;
    display: block;
}

.dialog-content {
    padding: 20px;
}

.dialog-content h1 {
    margin: 0 0 10px;
    color: #c7c801;
    font-size: 38px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

.dialog-content p {
    color: #333;
    font-size: 16px;
    padding: 0.5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
}

.dialog-footer {
    padding: 10px 20px 20px;
}

.floating-button {
    position: fixed;
    left: 20px;
    bottom: 30px;
    background-color: #25D366; /* WhatsApp green color */
    color: white;
    border: none;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    font-size: 30px; /* Adjusted for icon size */
    cursor: pointer;
    box-shadow: 0 2px 10px rgba(0,0,0,0.3);
    z-index: 1000;
    transition: background-color 0.3s, transform 0.3s;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.floating-button:hover {
    background-color: #128C7E; /* Darker WhatsApp green on hover */
    transform: scale(1.1);
}